import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_alertmanager_running_and_enabled(host):
    alertmanager = host.service("alertmanager")
    assert alertmanager.is_running
    assert alertmanager.is_enabled


def test_alertmanager_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:9093").is_listening
